import { Visualizer } from '../../..';
import { IConfigurationFilter, ICatalogFieldsMapping, IScene, ISceneConfigurationEntity } from '../../EventSystem/EventTypes';
export declare class SceneMetadataManager {
    experienceId: string;
    experienceHash: string;
    visualizer: Visualizer;
    sceneFilters: Array<IConfigurationFilter>;
    sceneConfigurations: Map<string, ISceneConfigurationEntity>;
    constructor(visualizer: Visualizer, experienceId: string, experienceHash: string);
    getMetadata(): Promise<string>;
    getApiEndpoint(): any;
    getApiToken(): any;
    getCatalogProps(sceneIndex: string): {
        email: any;
        password: any;
        organization: any;
        catalog: any;
    };
    private getCurentZoneMetadata;
    getSceneImage(sceneIndex: string): any;
    getSceneTitle(sceneIndex: string): any;
    getSceneSubtitle(sceneIndex: string): any;
    rotateCameraToApplication(application: string): Promise<void>;
    getSceneList(): IScene[];
    GetSceneFilters(): IConfigurationFilter[];
    GetSceneCatalogFieldsMapping(zoneIndex: string): ICatalogFieldsMapping;
    GetSceneCurrentFilters(): IConfigurationFilter[];
    SetSceneFilter(filters: IConfigurationFilter[]): IConfigurationFilter[];
    getSceneConfiguration(sceneIndex: string): ISceneConfigurationEntity;
}
